package com.mycompany.controlpanelmvn;



/**
 *
 * @author conforti
 */

import redis.clients.jedis.Jedis;



public class Redis {
    
    private Jedis jedis;

    public Redis(){
        this.jedis = new Jedis("localhost", 6379);
    }

    public Redis(String ip, int port){
        this.jedis = new Jedis(ip, port);
    }
    
    public void flush(){
        jedis.flushDB();
    }
    
    public String getValue(String key){
        String val = "";
        if (jedis.exists(key))
            return jedis.get(key);
        return "0"; 
    }
}


